<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html">http2</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html">MockHTTP2MimeResponseDecodeSink</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_mock_h_t_t_p2_mime_response_decode_sink_8h_source.html">MockHTTP2MimeResponseDecodeSink.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink_inherit__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html" title="alexaClientSDK::avsCommon\l::utils::http2::HTTP2MimeResponse\lSinkInterface" alt="" coords="21,5,253,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink_coll__map" id="alexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html" title="alexaClientSDK::avsCommon\l::utils::http2::HTTP2MimeResponse\lSinkInterface" alt="" coords="21,5,253,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a090f55f752dcf6e771fdc07d99fa5847"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a090f55f752dcf6e771fdc07d99fa5847">MockHTTP2MimeResponseDecodeSink</a> ()</td></tr>
<tr class="separator:a090f55f752dcf6e771fdc07d99fa5847"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96f328b47fa8929fd241772456d4d45a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a96f328b47fa8929fd241772456d4d45a">hasSameContentAs</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html">MockHTTP2MimeRequestEncodeSource</a> &gt; source)</td></tr>
<tr class="separator:a96f328b47fa8929fd241772456d4d45a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ff508d328a0d1b75d532cbe9734a90e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a3ff508d328a0d1b75d532cbe9734a90e">~MockHTTP2MimeResponseDecodeSink</a> ()=default</td></tr>
<tr class="separator:a3ff508d328a0d1b75d532cbe9734a90e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">HTTP2MimeResponseSinkInterface methods.</div></td></tr>
<tr class="memitem:ad3a91d5101141e047fa0b9f1a2399af9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#ad3a91d5101141e047fa0b9f1a2399af9">onReceiveResponseCode</a> (long responseCode) override</td></tr>
<tr class="separator:ad3a91d5101141e047fa0b9f1a2399af9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a309f71a7ecac94d03636522767045997"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a309f71a7ecac94d03636522767045997">onReceiveHeaderLine</a> (const std::string &amp;line) override</td></tr>
<tr class="separator:a309f71a7ecac94d03636522767045997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28bd9767f6566ac1079c744e2f6e993f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a28bd9767f6566ac1079c744e2f6e993f">onBeginMimePart</a> (const std::multimap&lt; std::string, std::string &gt; &amp;headers) override</td></tr>
<tr class="separator:a28bd9767f6566ac1079c744e2f6e993f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a968685aa9018658e62c189b2262ea0bf"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">avsCommon::utils::http2::HTTP2ReceiveDataStatus</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a968685aa9018658e62c189b2262ea0bf">onReceiveMimeData</a> (const char *bytes, size_t size) override</td></tr>
<tr class="separator:a968685aa9018658e62c189b2262ea0bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a453c58a3310741e45a34a06e4bc78785"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a453c58a3310741e45a34a06e4bc78785">onEndMimePart</a> () override</td></tr>
<tr class="separator:a453c58a3310741e45a34a06e4bc78785"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28818586d17158e8b756530fc42159f2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">avsCommon::utils::http2::HTTP2ReceiveDataStatus</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a28818586d17158e8b756530fc42159f2">onReceiveNonMimeData</a> (const char *bytes, size_t size) override</td></tr>
<tr class="separator:a28818586d17158e8b756530fc42159f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24bd02efac00a53c050c46ea520901d9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a24bd02efac00a53c050c46ea520901d9">onResponseFinished</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">avsCommon::utils::http2::HTTP2ResponseFinishedStatus</a> status) override</td></tr>
<tr class="separator:a24bd02efac00a53c050c46ea520901d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a></td></tr>
<tr class="memitem:a6aa1d8bb6ad4e05731509ba180772a64 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html#a6aa1d8bb6ad4e05731509ba180772a64">~HTTP2MimeResponseSinkInterface</a> ()=default</td></tr>
<tr class="separator:a6aa1d8bb6ad4e05731509ba180772a64 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a5146e0afb8b79161d6365745d5606f60"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a5146e0afb8b79161d6365745d5606f60">m_data</a></td></tr>
<tr class="memdesc:a5146e0afb8b79161d6365745d5606f60"><td class="mdescLeft">&#160;</td><td class="mdescRight">MIME data parts received.  <a href="#a5146e0afb8b79161d6365745d5606f60">More...</a><br /></td></tr>
<tr class="separator:a5146e0afb8b79161d6365745d5606f60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8dc57b13114566cda6ceab9c5e9c8a1"><td class="memItemLeft" align="right" valign="top">std::vector&lt; std::multimap&lt; std::string, std::string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#ac8dc57b13114566cda6ceab9c5e9c8a1">m_headers</a></td></tr>
<tr class="memdesc:ac8dc57b13114566cda6ceab9c5e9c8a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">MIME headers received for every part.  <a href="#ac8dc57b13114566cda6ceab9c5e9c8a1">More...</a><br /></td></tr>
<tr class="separator:ac8dc57b13114566cda6ceab9c5e9c8a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39282e253ac704c356b84227be792aad"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a39282e253ac704c356b84227be792aad">m_index</a> {0}</td></tr>
<tr class="memdesc:a39282e253ac704c356b84227be792aad"><td class="mdescLeft">&#160;</td><td class="mdescRight">current MIME part index  <a href="#a39282e253ac704c356b84227be792aad">More...</a><br /></td></tr>
<tr class="separator:a39282e253ac704c356b84227be792aad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8cf207901499e437fc1484ed3f8d5b00"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#a8cf207901499e437fc1484ed3f8d5b00">m_slowSink</a> {false}</td></tr>
<tr class="memdesc:a8cf207901499e437fc1484ed3f8d5b00"><td class="mdescLeft">&#160;</td><td class="mdescRight">enable sending PAUSE intermittently  <a href="#a8cf207901499e437fc1484ed3f8d5b00">More...</a><br /></td></tr>
<tr class="separator:a8cf207901499e437fc1484ed3f8d5b00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca006551ad478e462b828af8606e0a17"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#aca006551ad478e462b828af8606e0a17">m_abort</a> {false}</td></tr>
<tr class="memdesc:aca006551ad478e462b828af8606e0a17"><td class="mdescLeft">&#160;</td><td class="mdescRight">If ABORT is to be sent.  <a href="#aca006551ad478e462b828af8606e0a17">More...</a><br /></td></tr>
<tr class="separator:aca006551ad478e462b828af8606e0a17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acff9119d20b799193b9ef3e2e0e4937a"><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#acff9119d20b799193b9ef3e2e0e4937a">m_pauseCount</a> {0}</td></tr>
<tr class="memdesc:acff9119d20b799193b9ef3e2e0e4937a"><td class="mdescLeft">&#160;</td><td class="mdescRight">PAUSE count.  <a href="#acff9119d20b799193b9ef3e2e0e4937a">More...</a><br /></td></tr>
<tr class="separator:acff9119d20b799193b9ef3e2e0e4937a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeaec0e1020f9cb26a462cfaef3d3efa"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_response_decode_sink.html#aeeaec0e1020f9cb26a462cfaef3d3efa">m_nonMimeData</a></td></tr>
<tr class="memdesc:aeeaec0e1020f9cb26a462cfaef3d3efa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Non mime data received.  <a href="#aeeaec0e1020f9cb26a462cfaef3d3efa">More...</a><br /></td></tr>
<tr class="separator:aeeaec0e1020f9cb26a462cfaef3d3efa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a090f55f752dcf6e771fdc07d99fa5847"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a090f55f752dcf6e771fdc07d99fa5847">&#9670;&nbsp;</a></span>MockHTTP2MimeResponseDecodeSink()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::MockHTTP2MimeResponseDecodeSink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor to provide the HTTP headers and data to be passed onto the decoder </p>

</div>
</div>
<a id="a3ff508d328a0d1b75d532cbe9734a90e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ff508d328a0d1b75d532cbe9734a90e">&#9670;&nbsp;</a></span>~MockHTTP2MimeResponseDecodeSink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::~MockHTTP2MimeResponseDecodeSink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a96f328b47fa8929fd241772456d4d45a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96f328b47fa8929fd241772456d4d45a">&#9670;&nbsp;</a></span>hasSameContentAs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::hasSameContentAs </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_mock_h_t_t_p2_mime_request_encode_source.html">MockHTTP2MimeRequestEncodeSource</a> &gt;&#160;</td>
          <td class="paramname"><em>source</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Helper method to compare data with source </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">source</td><td>RequestSource used to generate the original encoded message </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if data is same </dd></dl>

</div>
</div>
<a id="a28bd9767f6566ac1079c744e2f6e993f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28bd9767f6566ac1079c744e2f6e993f">&#9670;&nbsp;</a></span>onBeginMimePart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::onBeginMimePart </td>
          <td>(</td>
          <td class="paramtype">const std::multimap&lt; std::string, std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>headers</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification of the start of a new mime part.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">headers</td><td>A multimap from header names to header values. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether receipt of the response should continue. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html#aff9c15cb27234bcd13be1489763fdf51">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a>.</p>

</div>
</div>
<a id="a453c58a3310741e45a34a06e4bc78785"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a453c58a3310741e45a34a06e4bc78785">&#9670;&nbsp;</a></span>onEndMimePart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::onEndMimePart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification of the end of the current mime part.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="section return"><dt>Returns</dt><dd>Whether receipt of the response should continue. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html#a10857ef4d85bc719a923f65b13d8c3ea">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a>.</p>

</div>
</div>
<a id="a309f71a7ecac94d03636522767045997"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a309f71a7ecac94d03636522767045997">&#9670;&nbsp;</a></span>onReceiveHeaderLine()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::onReceiveHeaderLine </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>line</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification that an HTTP header line was received.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">line</td><td>The HTTP response header line that was received. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether receipt of the response should continue. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html#a13340f9602f16813e376b80ec020bce0">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a>.</p>

</div>
</div>
<a id="a968685aa9018658e62c189b2262ea0bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a968685aa9018658e62c189b2262ea0bf">&#9670;&nbsp;</a></span>onReceiveMimeData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">HTTP2ReceiveDataStatus</a> alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::onReceiveMimeData </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>bytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification of new body data received from an HTTP2 response.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bytes</td><td>The buffer containing the bytes to consume. </td></tr>
    <tr><td class="paramname">size</td><td>The number of bytes to consume. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Status of the operation. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">HTTP2ReceiveDataStatus</a> </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html#a9a88be013239afec6a9ae692238c97bc">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a>.</p>

</div>
</div>
<a id="a28818586d17158e8b756530fc42159f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28818586d17158e8b756530fc42159f2">&#9670;&nbsp;</a></span>onReceiveNonMimeData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">HTTP2ReceiveDataStatus</a> alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::onReceiveNonMimeData </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>bytes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification of receipt of non-mime body data in an HTTP2 response.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bytes</td><td>The buffer containing the bytes to consume. </td></tr>
    <tr><td class="paramname">size</td><td>The number of bytes to consume. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Status of the operation. </dd></dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a39abd31bf23bf92ff2e646bb2f385d95">HTTP2ReceiveDataStatus</a>. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html#aedd4aa9a8f28a9a989087a290ffa279b">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a>.</p>

</div>
</div>
<a id="ad3a91d5101141e047fa0b9f1a2399af9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad3a91d5101141e047fa0b9f1a2399af9">&#9670;&nbsp;</a></span>onReceiveResponseCode()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::onReceiveResponseCode </td>
          <td>(</td>
          <td class="paramtype">long&#160;</td>
          <td class="paramname"><em>responseCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification that an HTTP response code was returned for the request.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">responseCode</td><td>The response code received for the request. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether receipt of the response should continue. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html#a523b2479b28aed2addb462fedb48ca89">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a>.</p>

</div>
</div>
<a id="a24bd02efac00a53c050c46ea520901d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24bd02efac00a53c050c46ea520901d9">&#9670;&nbsp;</a></span>onResponseFinished()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::onResponseFinished </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">avsCommon::utils::http2::HTTP2ResponseFinishedStatus</a>&#160;</td>
          <td class="paramname"><em>status</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Notification that the request/response cycle has finished and no further notifications will be provided.</p>
<dl class="section note"><dt>Note</dt><dd>Calls to this method may block network operations for the associated instance of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_connection_interface.html">HTTP2ConnectionInterface</a>, so they should return quickly.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">status</td><td>The status with which the response finished. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">HTTP2ResponseFinishedStatus</a>. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_response_sink_interface.html#a68c9d524a165b9239e9955f031cebb7b">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeResponseSinkInterface</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aca006551ad478e462b828af8606e0a17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca006551ad478e462b828af8606e0a17">&#9670;&nbsp;</a></span>m_abort</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::m_abort {false}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>If ABORT is to be sent. </p>

</div>
</div>
<a id="a5146e0afb8b79161d6365745d5606f60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5146e0afb8b79161d6365745d5606f60">&#9670;&nbsp;</a></span>m_data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::string&gt; alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::m_data</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>MIME data parts received. </p>
<p class="">These will be kept public to help testing </p>

</div>
</div>
<a id="ac8dc57b13114566cda6ceab9c5e9c8a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8dc57b13114566cda6ceab9c5e9c8a1">&#9670;&nbsp;</a></span>m_headers</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;std::multimap&lt;std::string, std::string&gt; &gt; alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::m_headers</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>MIME headers received for every part. </p>

</div>
</div>
<a id="a39282e253ac704c356b84227be792aad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39282e253ac704c356b84227be792aad">&#9670;&nbsp;</a></span>m_index</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::m_index {0}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>current MIME part index </p>

</div>
</div>
<a id="aeeaec0e1020f9cb26a462cfaef3d3efa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeeaec0e1020f9cb26a462cfaef3d3efa">&#9670;&nbsp;</a></span>m_nonMimeData</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::m_nonMimeData</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Non mime data received. </p>

</div>
</div>
<a id="acff9119d20b799193b9ef3e2e0e4937a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acff9119d20b799193b9ef3e2e0e4937a">&#9670;&nbsp;</a></span>m_pauseCount</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::m_pauseCount {0}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>PAUSE count. </p>

</div>
</div>
<a id="a8cf207901499e437fc1484ed3f8d5b00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8cf207901499e437fc1484ed3f8d5b00">&#9670;&nbsp;</a></span>m_slowSink</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::avsCommon::utils::http2::MockHTTP2MimeResponseDecodeSink::m_slowSink {false}</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>enable sending PAUSE intermittently </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/test/AVSCommon/Utils/HTTP2/<a class="el" href="_mock_h_t_t_p2_mime_response_decode_sink_8h_source.html">MockHTTP2MimeResponseDecodeSink.h</a></li>
<li>/workplace/avs-device-sdk/AVSCommon/Utils/test/Common/<a class="el" href="_mock_h_t_t_p2_mime_response_decode_sink_8cpp.html">MockHTTP2MimeResponseDecodeSink.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
